Remote Serial Console HOWTO
Prev | Chapter 8. Reboot and test | Next

# 8.3. Test the console

Dial in from a machine, perhaps using Minicom.

Example 8-1. Dialing into a serial console

    localhost bash$ minicom

    Initializing modem
    Welcome to minicom 1.83.1
    Press ALT-Z for help on special keys
    AT S7=45 S0=0 L1 V1 X4 &C1 E1 Q0
    OK
    Alt-D remote.example.edu.au-ttyS0
    Dialing: remote.example.edu.au-ttyS0 At: 1234-5678
    Connected. Press any key to continue
    Any
    CONNECT 115200/V34/LAPM/V42BIS/33600:TX/33600:RX

    Enter
    /etc/issue says "All your base are belong to us".
    remote.example.edu.au ttyS0 login: user
    Password: ********
    Message of the day is "be careful out there".
    remote bash$ stty -a
    speed 9600 baud; rows 0; columns 0; line = 0;
    intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
    eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
    lnext = ^V; flush = ^O; min = 1; time = 0;
    -parenb -parodd cs8 hupcl -cstopb cread -clocal crtscts
    -ignbrk brkint ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl -ixon -ixoff
    -iuclc -ixany -imaxbel
    opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab3 bs0 vt0 ff0
    isig icanon -iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
    -echoctl -echoke
    …
    remote bash$ logout

    NO CARRIER
    Alt-X
    Leave Minicom? Yes
    Resetting modem

    localhost bash$

Interestingly the stty -a command, used to display the terminal settings, reports that the link from the modem to the serial console is 9600bps. The `CONNECT` message reports that link between the two modems operates at 33600bps. The constant speed modem-computer link is a very useful feature of the Hayes AT-style modems: the calling computer need not know in advance the line speed of the called serial console.

Prev | Home | Next
Re-create saved console settings | Up | Where to next from here?